@echo off & setlocal enableextensions
rem enabledelayedexpansion

cls
echo.
echo Ŀ
echo  M_TSGIFS.CMD Create a TSGIFS package in .zip format 
echo  By Prof. Timo Salmi. Last modified Sat 14-Jul-2007  
echo 
echo.
:: Which zip program to use
set zipprog=C:\Program Files\WinZip\WZZIP.EXE

:: The location and the name of the package to be made
set targdir_=C:\_M
set targname_=TSGIFS20.ZIP

:: An auxiliary folder where the files first are copied for the zipping
set tempdir_=C:\_M\TSGIFS
mkdir "%tempdir_%"

:: Help
if not "%~1"=="?" if not "%~1"=="/?" goto _user
echo Usage: M_TSGIFS
echo.
echo Builds %targdir_%\%targname_%
echo Timo's free collection of GIF thumbnails for WWW
goto _out

:_user
if "%USERNAME%"=="ts" if defined pcid_ goto _copy
echo   This file is included to show how one builds a
echo   zip package with command line scripting.
echo   It is not needed by the user. Only by the author.
goto _out

:: Copy the relevant files for the package
:_copy
for %%f in ("%targdir_%\%targname_%") do if exist "%%f" del /p "%%f"
copy "c:\_f\inf\tsgifs.diz"      "%tempdir_%\file_id.diz"
copy "c:\_f\inf\tsgifinf.txt"    "%tempdir_%\tsgifinf.txt"
copy "c:\_f\inf\tsgifnws.txt"    "%tempdir_%\tsgifnws.txt"
copy "c:\_f\xtools\m_tsgifs.cmd" "%tempdir_%\m_tsgifs.cmd"
copy "c:\_f\inf\tsprog.txt"      "%tempdir_%\tsprog.txt"
for /f "tokens=*" %%f in ('dir /b /l C:\_G\WWW\~TS\GIFST\TS*.GIF') do (
  copy "C:\_G\WWW\~TS\GIFST\%%f" "%tempdir_%\%%f"
  )
for /f "tokens=*" %%f in ('dir /b /l C:\_G\WWW\~TS\GIFST2\TS*.GIF') do (
  copy "C:\_G\WWW\~TS\GIFST2\%%f" "%tempdir_%\%%f"
  )
for /f "tokens=*" %%f in ('dir /b /l C:\_G\WWW\~TS\GIFSF\*.GIF') do (
  copy "C:\_G\WWW\~TS\GIFSF\%%f" "%tempdir_%\%%f"
  )
for /f "tokens=*" %%f in ('dir /b /l C:\_G\WWW\~TS\GIFSG\GUND*.GIF') do (
  copy "C:\_G\WWW\~TS\GIFSG\%%f" "%tempdir_%\%%f"
  )
for %%f in (
            binedit.gif
            comm.gif
            connect.gif
            crypt.gif
            decode.gif
            desktop.gif
            graphics.gif
            jemma.gif
            jjayha.gif
            linguist.gif
            mouse.gif
            termprog.gif
            termutil.gif
            turbopas.gif
            virus.gif
           ) do (
  copy "C:\_G\WWW\~TS\GIFST\%%f" "%tempdir_%\%%f"
  )
for %%f in (tshatb.gif) do (
  copy "C:\_G\WWW\~TS\GIFSB\%%f" "%tempdir_%\%%f"
  )
for /f "tokens=*" %%f in ('dir /b /l C:\_G\WWW\~TS\SYMBOL\*.GIF') do (
  copy "C:\_G\WWW\~TS\SYMBOL\%%f" "%tempdir_%\%%f"
  )

:: Delete some images not relevant or of interest for public usage
:_delete
for %%f in (
            "%tempdir_%\tsacc*.gif"
            "%tempdir_%\tsacma*.gif"
            "%tempdir_%\tsacuni*.gif"
            "%tempdir_%\tshkkuv1.gif"
            "%tempdir_%\tsmast*.gif"
            "%tempdir_%\tsr.gif"
            "%tempdir_%\w_*.gif"
            ) do if exist "%%f" del "%%f"

:: Build the zip package
echo Brief characterization of TSGIFS|"%zipprog%" -aco %targdir_%\%targname_% %tempdir_%\file_id.diz
echo Document of the TSGIFS package  |"%zipprog%" -aco %targdir_%\%targname_% %tempdir_%\tsgifinf.txt
echo News announcements about TSGIFS |"%zipprog%" -aco %targdir_%\%targname_% %tempdir_%\tsgifnws.txt
echo Makefile that built this package|"%zipprog%" -aco %targdir_%\%targname_% %tempdir_%\m_tsgifs.cmd
echo List of programs from T.Salmi   |"%zipprog%" -aco %targdir_%\%targname_% %tempdir_%\tsprog.txt
"%zipprog%" -ao %targdir_%\%targname_% %tempdir_%\*.gif
"%zipprog%" -vc %targdir_%\%targname_%
echo FTP archives http://garbo.uwasa.fi/ University of Vaasa, Finland|"%zipprog%" -zo %targdir_%\%targname_%

:: Clean up
:_out
for %%f in ("%tempdir_%\*.*") do if exist "%%f" del "%%f"
rmdir "%tempdir_%"
endlocal & goto :EOF
